Bug 85981 - schedule_work() missing in 2.4.20-2.24
schedule_work() missing in 2.4.20-2.24
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-11 16:28 EST by Vasile Gaburici
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasile Gaburici 2003-03-11 16:28:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030120

Description of problem:
ALSA from CVS fails to insmod snd.o due to unresolved symbol schedule_work.

It turns out that schedule_work() implementation is missing from
kernel 2.4.20-2.24 from phoebe, athough the prototype is in workqueue.h...

BTW, is there no way to report bugs for phoebe? Bugzilla only lets me choose
phoebe for queries, but not for bug submission...


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. get latest alsa from cvs
2. compile
3. try to insmod snd


Additional info:
Comment 1 Max Kanat-Alexander 2003-11-11 02:12:42 EST
I thought I should note that ALSA has to do a specific workaround in
order to compile on Red Hat, because of this.

They check versions, which means that ALSA refuses to compile on new
versions of Red Hat until a new version of ALSA is released, unless
you hack the build scripts.

Is this going to be resolved, or is it somehow NOTABUG?

-M
Comment 2 Bugzilla owner 2004-09-30 11:40:38 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.